Table of Contents

## Name

XtAppAddConverter, XtAddConverter - register resource converter

## Syntax

void XtAppAddConverter(XtAppContext app_context, String from_type,
  String to_type, XtConverter converter, XtConvertArgList convert_args, Cardinal num_args);
void XtAddConverter(String from_type, String to_type, XtConverter
  converter, XtConvertArgList convert_args, Cardinal num_args);

## Arguments

Specifies the application context.

Specifies the type converter procedure.

Specifies how to compute the additional arguments to the converter or NULL.

Specifies the source type.

Specifies the number of additional arguments to the converter or zero.

Specifies the destination type.

## Description

XtAppAddConverter is equivalent in function to XtAppSetTypeConverter with cache_type equal to XtCacheAll for old-format type converters. It has been superseded by XtAppSetTypeConverter.

XtAddConverter is equivalent in function to XtSetTypeConverter with cache_type equal to XtCacheAll for old-format type converters. It has been superseded by XtSetTypeConverter.

## See Also

XtConvert(3Xt) , XtStringConversionWarning(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also